# $Revision: 1.9 $, $Date: 2002/10/14 15:08:11 $
%include	/usr/lib/rpm/macros.php
%define		_class		Config
%define		_pearname	%{_class}
Summary:	%{_pearname} - class for reading and writing Config-"files"
Summary(pl):	%{_pearname} - klasa do odczytu i zapisu plikw konfiguracyjnych
Name:		php-pear-%{_pearname}
Version:	1.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(stdclass)'

%description
The Config package provides methods for editing configuration
datasources. It does so in an object oriented manner, defining each
and every items found in the config datasource as a Config_Container
of various types (comments, sections, directives, blanks, ...). Items
can then be edited, added, removed, inserted. This package is not
intended for reading configuration data only, but for editing them. If
you only want to read your configuration data, use functions like
parse_ini_file() and the like instead, they are much faster.

%description -l pl
Pakiet Config udostpnia metody do edycji zasobw konfiguracyjnych.
Robi to w sposb zorientowany obiektowo, definiujc kady element
znaleziony w zasobie konfiguracyjnym jako Config_Container rnych
typw (komentarz, sekcja, dyrektywa, odstp...). Elementy mog by
modyfikowane, dodawane, usuwane, wstawiane. Ten pakiet nie ma suy
tylko do czytania danych konfiguracyjnych, ale take do edycji ich.
Tylko do czytania danych lepiej uywa funkcji typu parse_ini_file(),
ktre s duo szybsze.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Container

install %{_pearname}-%{version}/%{_class}.php $RPM_BUILD_ROOT%{php_pear_dir}/
install %{_pearname}-%{version}/%{_class}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/
install %{_pearname}-%{version}/%{_class}/Container/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/Container

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/docs/*
%dir %{php_pear_dir}/%{_class}
%dir %{php_pear_dir}/%{_class}/Container
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Container/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Config.spec,v $
Revision 1.9  2002/10/14 15:08:11  malekith
- noautoreq pear(stdclass) (workaround)

Revision 1.8  2002/10/11 12:40:47  qboosh
- pl description, release 2

Revision 1.7  2002/10/10 16:36:00  blues
- 1.1

Revision 1.6  2002/10/10 16:34:24  blues
- 1.0 - WARNING: comletelly rewritten, not compatible, do NOT STBR

Revision 1.5  2002/09/07 19:25:59  blues
- fix in macros

Revision 1.4  2002/07/12 15:23:02  blues
- release 3
- rebuild with new rpm
- cosmetic patch - dependencies are generated correctly now

Revision 1.3  2002/07/10 00:55:49  kloczek
- release 2.

Revision 1.2  2002/07/07 20:57:59  qboosh
- pl fix

Revision 1.1  2002/07/04 00:51:46  blues
- initial release (brand new class)
